package org.springblade.common.controller;

import com.alibaba.fastjson.JSONObject;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.appmenu.entity.AppMenu;
import org.springblade.modules.bq.pojo.entity.BqInfoEntity;
import org.springblade.modules.bq.pojo.entity.BqSpEntity;
import org.springblade.modules.bzdz.entity.BzdzEntity;
import org.springblade.modules.csInfo.entity.CsInfoEntity;
import org.springblade.modules.csjcInfo.entity.CsjcInfoEntity;
import org.springblade.modules.fxpc.entity.FxpcEntity;
import org.springblade.modules.log.sjSp.entity.SjSpEntity;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfdj.vo.MdXgVO;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;
import org.springblade.modules.mdjfhf.entity.HfEntity;
import org.springblade.modules.mdjfry.entity.MdjfRyEntity;
import org.springblade.modules.mdjftj.entity.MdjfTjEntity;
import org.springblade.modules.mdjfxj.djXj.entity.DjXjEntity;
import org.springblade.modules.mdjfxj.djXj.vo.DjXjVO;
import org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity;
import org.springblade.modules.rhzf.fwInfo.entity.FwInfoEntity;
import org.springblade.modules.rhzf.fwInfo.vo.RhzfSaveVO;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rwxffkb.vo.RwxffkbVO;
import org.springblade.modules.sign.entity.SignEntity;
import org.springblade.modules.sign.vo.SignVO;
import org.springblade.modules.sqjw.sydw.pojo.entity.CyryEntity;
import org.springblade.modules.sqjw.sydw.pojo.entity.SydwEntity;
import org.springblade.modules.sqmy.pojo.entity.*;
import org.springblade.modules.sqmy.pojo.vo.JmhInfoVO;
import org.springblade.modules.sqmy.pojo.vo.SqmyInfoVO;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.system.vo.GsdrsjbVO;
import org.springblade.modules.system.vo.MjDeptVO;
import org.springblade.modules.temDuizhao.entity.TemDuizhaoEntity;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.wgr.check.entity.CheckEntity;
import org.springblade.modules.xlfk.pojo.entity.XlfkEntity;
import org.springblade.modules.xxy.entity.XxyEntity;
import org.springblade.modules.yhyj.vo.YhyjParamsVO;

import java.lang.reflect.Method;
import java.util.Map;

public class ParamsConvert {
	public static Object paramsConvert(Object proxyObject, String className, Method method, Map<String, Object> params) throws Exception {
		JSONObject jsonObject = new JSONObject();
		if (className.equals("bladeTokenEndPoint")) { // ******************************************** bladeTokenEndPoint
			if (method.getName().equals("token")) {
				return method.invoke(proxyObject, "000000", params.get("username").toString(), params.get("password").toString(), "sfzh", "deptId", "roleId", params.get("code").toString());
			} else if (method.getName().equals("token2")) {
				// app刷新token
				jsonObject.putAll(params);
				User entityVo = jsonObject.toJavaObject(User.class);
				String deptId = "";
				String roleId = "";
				return method.invoke(proxyObject, entityVo, deptId, roleId);
			} else if (method.getName().equals("token3")) {
				// app登录
				return method.invoke(proxyObject, params.get("username").toString(), params.get("password").toString());
			}
		} else if (className.equals("appMenuController")) { // *************************************** appMenuController
			if (method.getName().equals("getSssj")) {
				// app首页-实时数据统计
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getDbsx")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getRwtx")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("list")) {
				Query query = new Query();
				AppMenu appMenu = new AppMenu();
				return method.invoke(proxyObject, appMenu, query);
			} else if (method.getName().equals("getDeptList")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("getQzgx")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("signController")) { // ********************************************* signController
			if (method.getName().equals("save")) {
				//考勤
				jsonObject.putAll(params);
				SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
				return method.invoke(proxyObject, signEntity);
			} else if (method.getName().equals("getDkfw")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				SignEntity entityVo = jsonObject.toJavaObject(SignEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				jsonObject.putAll(params);
				SignVO entityVo = jsonObject.toJavaObject(SignVO.class);
				return method.invoke(proxyObject, entityVo, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
				return method.invoke(proxyObject, signEntity);
			} else if (method.getName().equals("submit")) {
				jsonObject.putAll(params);
				SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
				return method.invoke(proxyObject, signEntity);
			} else if (method.getName().equals("selectDkjlByUserid")) {
				long userId = Long.parseLong(params.get("userId").toString());
				String yf = params.get("yf").toString();
				return method.invoke(proxyObject, userId, yf);
			} else if (method.getName().equals("selectBm")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("getSignException")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("noticeController")) { // ***************************************** noticeController
			if (method.getName().equals("newList")) {
				return method.invoke(proxyObject);
			}
		} else if (className.equals("deptController")) { // ********************************************* deptController
			if (method.getName().equals("getSqList")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("updateUserDept")) {
				jsonObject.putAll(params);
				MjDeptVO bzdz = jsonObject.toJavaObject(MjDeptVO.class);
				return method.invoke(proxyObject, bzdz);
			} else if (method.getName().equals("getJsByPcsDownSq")) {
				return method.invoke(proxyObject);
			}
		} else if (className.equals("userInfoController")) { // ************************************* userInfoController
			if (method.getName().equals("mfjgl")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("userController")) { // ********************************************* userController
			if (method.getName().equals("updateByZp")) {
				jsonObject.putAll(params);
				User user = jsonObject.toJavaObject(User.class);
				return method.invoke(proxyObject, user);
			} else if (method.getName().equals("getGsdrsjb")) {
				jsonObject.putAll(params);
				GsdrsjbVO entityVo = jsonObject.toJavaObject(GsdrsjbVO.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("getXqgk")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("selectRyxxBySfzh")) {
				String sfzh = params.get("sfzh").toString();
				return method.invoke(proxyObject, sfzh);
			}
		} else if (className.equals("ossEndpoint")) { // *************************************************** ossEndpoint
			if (method.getName().equals("putFile3")) {
				String base64 = params.get("base64").toString();
				String fileName = params.get("fileName").toString();
				return method.invoke(proxyObject, base64, fileName);
			}
		} else if (className.equals("jlrhJwsController")) { // *************************************** jlrhJwsController
			if (method.getName().equals("submit")) {
				jsonObject.putAll(params);
				JlrhJwsEntity jwsEntity = jsonObject.toJavaObject(JlrhJwsEntity.class);
				return method.invoke(proxyObject, jwsEntity);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				JlrhJwsEntity jwsEntity = jsonObject.toJavaObject(JlrhJwsEntity.class);
				return method.invoke(proxyObject, jwsEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("detail")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			} else if (method.getName().equals("selectJwsPcs")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				jsonObject.putAll(params);
				JlrhJwsEntity entityVo = jsonObject.toJavaObject(JlrhJwsEntity.class);
				return method.invoke(proxyObject, entityVo, query);
			} else if (method.getName().equals("selectJwsxx")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				jsonObject.putAll(params);
				JlrhJwsEntity entityVo = jsonObject.toJavaObject(JlrhJwsEntity.class);
				return method.invoke(proxyObject, entityVo, query);
			} else if (method.getName().equals("getJwsDept")) {
				String parentId = params.get("parentId").toString();
				Integer deptCategory = Integer.valueOf(params.get("deptCategory").toString());
				return method.invoke(proxyObject, parentId, deptCategory);
			}
		} else if (className.equals("tjXjController")) { // ********************************************* tjXjController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				TjXjEntity entityVo = jsonObject.toJavaObject(TjXjEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("sjSpController")) { // ********************************************* sjSpController
			if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				SjSpEntity sjSpEntity = jsonObject.toJavaObject(SjSpEntity.class);
				return method.invoke(proxyObject, sjSpEntity);
			}
		} else if (className.equals("mdjfDjController")) { // ***************************************** mdjfDjController
			if (method.getName().equals("pageToApp")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				MdjfDjEntity entityVo = jsonObject.toJavaObject(MdjfDjEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("detailById")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			} else if (method.getName().equals("getMddjzd")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				MdjfDjEntity entityVo = jsonObject.toJavaObject(MdjfDjEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("selectJflx")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("mdjfDj")) {
				jsonObject.putAll(params);
				MdjfDjVO entityVo = jsonObject.toJavaObject(MdjfDjVO.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("updateByApp")) {
				jsonObject.putAll(params);
				MdXgVO mdXgVO = jsonObject.toJavaObject(MdXgVO.class);
				return method.invoke(proxyObject, mdXgVO);
			} else if (method.getName().equals("getJqTx")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("getMdjfdj")) {
				jsonObject.putAll(params);
				DjXjEntity djXjEntity = jsonObject.toJavaObject(DjXjEntity.class);
				return method.invoke(proxyObject, djXjEntity);
			}
		} else if (className.equals("mdjfTjController")) { // ***************************************** mdjfTjController
			if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				MdjfTjEntity entityVo = jsonObject.toJavaObject(MdjfTjEntity.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("mdjfRyController")) { // ***************************************** mdjfRyController
			if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				MdjfRyEntity entityVo = jsonObject.toJavaObject(MdjfRyEntity.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("csInfoController")) { // ***************************************** csInfoController
			if (method.getName().equals("remove")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("getOverDue")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getPermission")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("submit")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("selectCsPcs")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, entityVo, query);
			} else if (method.getName().equals("getJsBySqs")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("addJdrhCsInfo")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("deleteYrl")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("getCsListByPcsBm")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("tyxy")) {
				jsonObject.putAll(params);
				CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("getDzListApp")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getDzListWeb")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("csjcInfoController")) { // ************************************* csjcInfoController
			if (method.getName().equals("submit")) {
				jsonObject.putAll(params);
				CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("detail")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			} else if (method.getName().equals("getQsfkList")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("getZgList")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("updates")) {
				jsonObject.putAll(params);
				CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("getPageByCsId")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("getXfbm")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("yhlr")) {
				jsonObject.putAll(params);
				YhyjParamsVO yhyjParamsVO = jsonObject.toJavaObject(YhyjParamsVO.class);
				return method.invoke(proxyObject, yhyjParamsVO);
			} else if (method.getName().equals("getYhcl")) {
				String id = params.get("id").toString();
				return method.invoke(proxyObject, id);
			}
		} else if (className.equals("hfController")) { // ************************************************* hfController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				HfEntity entityVo = jsonObject.toJavaObject(HfEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("listByJfId")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("fwInfoController")) { // ***************************************** fwInfoController
			if (method.getName().equals("saveFwAndRy")) {
				// app-入户走访-新增
				jsonObject.putAll(params);
				RhzfSaveVO rhzfSaveVO = jsonObject.toJavaObject(RhzfSaveVO.class);
				return method.invoke(proxyObject, rhzfSaveVO);
			} else if (method.getName().equals("getLdListApp")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("getLdDetail")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getFjDetail")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("updateRy")) {
				jsonObject.putAll(params);
				SyjzryVO syjzryVO = jsonObject.toJavaObject(SyjzryVO.class);
				return method.invoke(proxyObject, syjzryVO);
			} else if (method.getName().equals("secondRhzf")) {
				jsonObject.putAll(params);
				RhzfSaveVO rhzfSaveVO = jsonObject.toJavaObject(RhzfSaveVO.class);
				return method.invoke(proxyObject, rhzfSaveVO);
			} else if (method.getName().equals("dictionary")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("getRyls")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				FwInfoEntity fwInfoEntity = jsonObject.toJavaObject(FwInfoEntity.class);
				return method.invoke(proxyObject, fwInfoEntity);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				FwInfoEntity fwInfoEntity = jsonObject.toJavaObject(FwInfoEntity.class);
				return method.invoke(proxyObject, fwInfoEntity);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("getLdphhz")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getRyxxBySfzh")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getZtry")) {
				String rksfzh = params.get("rksfzh").toString();
				return method.invoke(proxyObject, rksfzh);
			} else if (method.getName().equals("getRhzfCs")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("history")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("fwRyController")) { // ********************************************* fwRyController
			if (method.getName().equals("appRemove")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("bzdzController")) { // ********************************************* bzdzController
			if (method.getName().equals("getXzqh")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				BzdzEntity bzdz = jsonObject.toJavaObject(BzdzEntity.class);
				return method.invoke(proxyObject, bzdz);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			}
		} else if (className.equals("zdbController")) { // *********************************************** zdbController
			if (method.getName().equals("getChildrenByZddm")) {
				String zddm = params.get("zddm").toString();
				return method.invoke(proxyObject, zddm);
			} else if (method.getName().equals("getParentsBySqbm")) {
				String zddm = params.get("zddm").toString();
				return method.invoke(proxyObject, zddm);
			} else if (method.getName().equals("getDetailByZddm")) {
				String zddm = params.get("zddm").toString();
				return method.invoke(proxyObject, zddm);
			}
		} else if (className.equals("sjAppController")) { // ******************************************* sjAppController
			if (method.getName().equals("console")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("djXjController")) { // ********************************************* djXjController
			if (method.getName().equals("mdjfDj")) {
				jsonObject.putAll(params);
				DjXjVO entityVo = jsonObject.toJavaObject(DjXjVO.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("pageToApp")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				DjXjEntity entityVo = jsonObject.toJavaObject(DjXjEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("detailById")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			} else if (method.getName().equals("getUserDept")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getMdByPcs")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("getMdyjByPcs")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("fxpcController")) { // ********************************************* fxpcController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				FxpcEntity entityVo = jsonObject.toJavaObject(FxpcEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("detail")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				FxpcEntity entityVo = jsonObject.toJavaObject(FxpcEntity.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("rwxffkbController")) { // *************************************** rwxffkbController
			if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				RwxffkbVO entityVo = jsonObject.toJavaObject(RwxffkbVO.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("wgrInfoController")) { // *************************************** wgrInfoController
			if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("checkController")) { // ******************************************* checkController
			if (method.getName().equals("getChecked")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("submit")) {
				jsonObject.putAll(params);
				CheckEntity entityVo = jsonObject.toJavaObject(CheckEntity.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("xxyController")) { // *********************************************** xxyController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
				return method.invoke(proxyObject, entityVo);
			} else if (method.getName().equals("getLdListPt")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getLdDetail")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("glInfoController")) { // ***************************************** glInfoController
			if (method.getName().equals("getAppByUserRole")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("getAppByUserRoleNew")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("rhzfFwqzController")) { // ************************************* rhzfFwqzController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				RhzfFwqzEntity rhzfFwqzEntity = jsonObject.toJavaObject(RhzfFwqzEntity.class);
				return method.invoke(proxyObject, rhzfFwqzEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("xlfkController")) { // ********************************************* xlfkController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				XlfkEntity xlfkEntity = jsonObject.toJavaObject(XlfkEntity.class);
				return method.invoke(proxyObject, xlfkEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("temDuizhaoController")) { // ********************************* temDuizhaoController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				TemDuizhaoEntity duizhaoEntity = jsonObject.toJavaObject(TemDuizhaoEntity.class);
				return method.invoke(proxyObject, duizhaoEntity);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				TemDuizhaoEntity duizhaoEntity = jsonObject.toJavaObject(TemDuizhaoEntity.class);
				return method.invoke(proxyObject, duizhaoEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("userJwdController")) { // *************************************** userJwdController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				UserJwdEntity entityVo = jsonObject.toJavaObject(UserJwdEntity.class);
				return method.invoke(proxyObject, entityVo);
			}
		} else if (className.equals("dictBsznController")) { // ************************************* dictBsznController
			if (method.getName().equals("bsznList")) {
				return method.invoke(proxyObject);
			} else if (method.getName().equals("selectListByMc")) {
				String dictValue = params.get("dictValue").toString();
				return method.invoke(proxyObject, dictValue);
			} else if (method.getName().equals("detailById")) {
				long id = Long.parseLong(params.get("id").toString());
				return method.invoke(proxyObject, id);
			}
		} else if (className.equals("jmhInfoController")) { // *************************************** jmhInfoController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				JmhInfoVO jmhInfoVO = jsonObject.toJavaObject(JmhInfoVO.class);
				return method.invoke(proxyObject, jmhInfoVO);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				JmhInfoVO jmhInfoVO = jsonObject.toJavaObject(JmhInfoVO.class);
				return method.invoke(proxyObject, jmhInfoVO);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				JmhInfoEntity entity = jsonObject.toJavaObject(JmhInfoEntity.class);
				return method.invoke(proxyObject, entity);
			}
		} else if (className.equals("sqmyInfoController")) { // ************************************* sqmyInfoController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				SqmyInfoVO sqmyInfoVO = jsonObject.toJavaObject(SqmyInfoVO.class);
				return method.invoke(proxyObject, sqmyInfoVO);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("id").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				SqmyInfoVO sqmyInfoVO = jsonObject.toJavaObject(SqmyInfoVO.class);
				return method.invoke(proxyObject, sqmyInfoVO);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				SqmyInfoEntity entity = jsonObject.toJavaObject(SqmyInfoEntity.class);
				return method.invoke(proxyObject, entity);
			} else if (method.getName().equals("sjtj")) {
				return method.invoke(proxyObject, params);
			}
		} else if (className.equals("zatbInfoController")) { // ************************************* zatbInfoController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				ZatbInfoEntity zatbInfoEntity = jsonObject.toJavaObject(ZatbInfoEntity.class);
				return method.invoke(proxyObject, zatbInfoEntity);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("ids").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				ZatbInfoEntity zatbInfoEntity = jsonObject.toJavaObject(ZatbInfoEntity.class);
				return method.invoke(proxyObject, zatbInfoEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			}
		} else if (className.equals("fzrhyInfoController")) { // *********************************** fzrhyInfoController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				FzrhyInfoEntity fzrhyInfoEntity = jsonObject.toJavaObject(FzrhyInfoEntity.class);
				return method.invoke(proxyObject, fzrhyInfoEntity);
			} else if (method.getName().equals("remove")) {
				String ids = params.get("id").toString();
				return method.invoke(proxyObject, ids);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				FzrhyInfoEntity fzrhyInfoEntity = jsonObject.toJavaObject(FzrhyInfoEntity.class);
				return method.invoke(proxyObject, fzrhyInfoEntity);
			} else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				FzrhyInfoEntity entity = jsonObject.toJavaObject(FzrhyInfoEntity.class);
				return method.invoke(proxyObject, entity);
			}
		} else if (className.equals("sydwController")) { // ********************************************* sydwController
			if (method.getName().equals("sydwSave")) {
				jsonObject.putAll(params);
				SydwEntity sydwEntity = jsonObject.toJavaObject(SydwEntity.class);
				return method.invoke(proxyObject, sydwEntity);
			} else if (method.getName().equals("saveCyry")) {
				jsonObject.putAll(params);
				CyryEntity cyryEntity = jsonObject.toJavaObject(CyryEntity.class);
				return method.invoke(proxyObject, cyryEntity);
			} else if (method.getName().equals("sydwzx")) {
				jsonObject.putAll(params);
				SydwEntity sydwEntity = jsonObject.toJavaObject(SydwEntity.class);
				return method.invoke(proxyObject, sydwEntity);
			} else if (method.getName().equals("cyryzx")) {
				jsonObject.putAll(params);
				CyryEntity cyryEntity = jsonObject.toJavaObject(CyryEntity.class);
				return method.invoke(proxyObject, cyryEntity);
			} else if (method.getName().equals("update")) {
				jsonObject.putAll(params);
				SydwEntity sydwEntity = jsonObject.toJavaObject(SydwEntity.class);
				return method.invoke(proxyObject, sydwEntity);
			} else if (method.getName().equals("updateCyry")) {
				jsonObject.putAll(params);
				CyryEntity cyryEntity = jsonObject.toJavaObject(CyryEntity.class);
				return method.invoke(proxyObject, cyryEntity);
			} else if (method.getName().equals("cdPage")) {
				return method.invoke(proxyObject, params);
			}  else if (method.getName().equals("page")) {
				Query query = new Query();
				query.setSize(Integer.valueOf(params.get("size").toString()));
				query.setCurrent(Integer.valueOf(params.get("current").toString()));
				return method.invoke(proxyObject, params, query);
			} else if (method.getName().equals("detail")) {
				jsonObject.putAll(params);
				SydwEntity sydwEntity = jsonObject.toJavaObject(SydwEntity.class);
				return method.invoke(proxyObject, sydwEntity);
			} else if (method.getName().equals("cyryDetail")) {
				jsonObject.putAll(params);
				CyryEntity cyryEntity = jsonObject.toJavaObject(CyryEntity.class);
				return method.invoke(proxyObject, cyryEntity);
			} else if (method.getName().equals("cyryHistory")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("selectCyryByXydm")) {
				String tyshxydm = params.get("tyshxydm").toString();
				return method.invoke(proxyObject, tyshxydm);
			} else if (method.getName().equals("selectCyryBySfzh")) {
				String gmsfhm = params.get("gmsfhm").toString();
				return method.invoke(proxyObject, gmsfhm);
			}
		} else if (className.equals("bqInfoController")) { // ***************************************** bqInfoController
			if (method.getName().equals("page")) {
				return method.invoke(proxyObject, params);
			} else if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				BqInfoEntity bqInfoEntity = jsonObject.toJavaObject(BqInfoEntity.class);
				return method.invoke(proxyObject, bqInfoEntity);
			}
		} else if (className.equals("bqSpController")) { // ********************************************* bqSpController
			if (method.getName().equals("save")) {
				jsonObject.putAll(params);
				BqSpEntity bqSpEntity = jsonObject.toJavaObject(BqSpEntity.class);
				return method.invoke(proxyObject, bqSpEntity);
			}
		}
		return null;
	}
}
